import { BaseProvider } from '#templates/base/provider';
import { ResidentEvent } from '#models/ResidentEvent';

export class ResidentEventProvider extends BaseProvider<ResidentEvent> {
	public static instance: ResidentEventProvider;

	public static getInstance(): ResidentEventProvider {
		ResidentEventProvider.instance ??= new ResidentEventProvider();
		return ResidentEventProvider.instance;
	}

	public static get model() {
		return ResidentEvent;
	}

	constructor() {
		super('ResidentEvent');
	}
}
